<?php
require('../cfg/res.php');
//mysql_query("SET NAMES 'utf8'");
//$sql_hoja='select * from item00 where item_codigo in(select item from inve2) order by item_nctlg desc, item_pctlg, item_codigo';

//$sql_hoja='select * from invdisp order by item_nctlg desc, item_pctlg, item_codigo';
$sql_hoja='select item00.*, invdisp.saldo from item00 left join invdisp on item00.item_codigo=invdisp.item order by item_nctlg desc, item_pctlg, item_codigo';

$sql_hoja='select * from item0d order by item_nctlg desc, item_pctlg asc, item_codigo';
$sql_hoja='select * from item0 order by item_nctlg desc, item_pctlg asc, item_codigo';


$res_hoja=mysql_query($sql_hoja,$link_vcrx);

?>


<script type="text/javascript">
function director_d(indxd)
{
	for(i=0;i<=document.getElementsByClassName('pdc_t1').length-1;i++)
	{
		document.getElementsByClassName('pdc_t1').item(i).style.background='none';
		document.getElementsByName('btn_ped_c').item(i).disabled=true;
		document.getElementsByName('btn_ped_c').item(i).style.cursor='progress';
	}
	
	document.getElementById(indxd).style.background='#eee';
	document.getElementById('director_d').innerHTML='<img src="../img/loader.gif" width="40" />';
	document.body.style.cursor='progress';
		
	$.ajax({
		url:'../lib/uphoja2.php',
		type:'POST',
		data:{indx:indxd},
		success: function(dato)
		{
			
			document.getElementById('director_d').innerHTML='';
			document.getElementById('director_d').innerHTML=dato;
			document.body.style.cursor='auto';
			for(i=0;i<=document.getElementsByClassName('pdc_t1').length-1;i++)
			{
				document.getElementsByName('btn_ped_c').item(i).disabled=false;
				document.getElementsByName('btn_ped_c').item(i).style.cursor='auto';
			}

		}			
				

	});
}
//document.getElementById('sub_titulo').innerHTML='<?php //echo "Empresarios";?>';
/*
var Dia = new Array("Domingo", "Lunes", "Martes", "Miércoles", "Jueves", "Viernes", "Sábado", "Domingo");
var Mes = new Array("01","02","03","04","05","06","07","08","09","10","11","12");

var Hoy = new Date();
var Anio = Hoy.getFullYear();

var Fecha = Hoy.getDate() + "/" + Mes[Hoy.getMonth()] + "/" + Anio;
*/
/*
console.log(Fecha);
document.getElementById("fecha_ini").value="007";
*/
function anular_pedido(docu,id,stox)
{
	if (confirm('¿Desea Anular su Pedido?')) 
	{
		document.getElementById('e_pedido').disabled=false;
		$.ajax({
			url:'../lib/vranula.php',
			type:'POST',
			data:{docu:docu,id:id,stox:stox},
			success: function(dato)
			{
				console.log('+'+dato);
				window.location.reload();
				//alert('Pedido Eliminado');
			},
			error: function(objeto)
			{
				console.log(objeto);
			}
		});
		document.getElementById('e_pedido').disabled=true;
	}
}
function redireccionar() 
{
var fecha_ini=document.getElementById('fecha_ini').value;
var fecha_fin=document.getElementById('fecha_fin').value;
pagina="?opt=<?php echo $_GET['opt']?>&tipo=<?php echo $_GET['tipo']?>"+"&fecha_ini="+fecha_ini+"&fecha_fin="+fecha_fin;

pagina="?opt=<?php echo $_GET['opt']?>"+"&tipo=<?php echo $_GET['tipo']?>"+"&item=<?php echo $_GET['item']?>"+"&fecha_ini="+fecha_ini+"&fecha_fin="+fecha_fin;

location.href=pagina;
} 

</script>









<div align="left" style=" max-height:300px; overflow-y:scroll; margin-top:5px;">


<table width="90%" cellpadding="2" cellspacing="0" style="font-size:12px; border-collapse:collapse; border:solid 1px #000;">
<tr align="center" style="border:1px solid #000;">
<th>HOJA</th>
<th>Ctlg.</th>
<th>Pag.</th>
<th>CODIGO</th>
<th>DESCRI</th>
<th>Unit.</th>
<th>Dcto.</th>
<th>IVA</th>
<th>PVP</th>
<th>Saldo</th>

</tr>
<?php
$fila_t=1;
$borde_t='border-bottom:dotted 1px #000;';
while($_hoja=mysql_fetch_assoc($res_hoja))
{
$duni=$_hoja['item_duni'];
?>

<tr  class="pdc_t1" id="<?php echo $_hoja['item_codigo']; ?>" style=" <?php if($fila_t==5){echo $borde_t; $fila_t=1;}else{$fila_t++;}?> ">
	<td align="center">    	
        <?php
			if(isset($_hoja['item_hoja']) && !empty($_hoja['item_hoja'])&& $_hoja['item_hoja']=='1' )
			{
			  $stilo1="display:block;";
                          $stilo2="display:none;";
                        }
			else
			{
                          $stilo1="display:none;";
                          $stilo2="display:block;";
                        }
		?>
        <input type="image" src="http://vcrxol.com/_img/ico_order1.png" onClick="uphoja('<?php echo $_hoja['item_codigo'];?>','0',this.id);" style="<?php echo  $stilo1; ?>" id="1<?php echo $_hoja['item_codigo'];?>"  />
       	<input type="image" src="http://vcrxol.com/_img/ico_order0.png" onClick="uphoja('<?php echo $_hoja['item_codigo'];?>','1',this.id);" style="<?php echo  $stilo2; ?>" id="0<?php echo $_hoja['item_codigo'];?>" />
						
    </td>
	<td align="center"><?php echo $_hoja['item_nctlg'];?></td>
	<td align="center"><?php echo $_hoja['item_pctlg'];?></td>
	<td><?php echo $_hoja['item_codigo'];?></td>
	<td><?php echo $_hoja['item_descri'];?></td>
	<td align="right"><?php echo number_format($_hoja['item_puni'],2);?></td>
	<td align="right"><?php echo number_format($_hoja['item_dcto'],2);?></td>
	<td align="right"><?php echo number_format($_hoja['item_iva'],2);?></td>
	<td align="right"><?php echo number_format($_hoja['item_pvp1'],2);?></td>
	<td align="right"><?php if($_hoja['saldo']<0){echo '<font color="red">';} ?><?php echo number_format($_hoja['saldo'],$duni);?></td>
</tr>
<?php	
}
?>
</table>
</div>
<div id="director_d" style="padding-top:10px; "></div>
<script type="text/javascript">
function uphoja(ci,tipo,idx)
{
	var res = idx.substring(1, idx.length);
	$.ajax({
		url:'../lib/upd_hoja2.php',
		type:'POST',
		data:{ci:ci,tipo:tipo},
		success: function(dato)
		{
			console.log(dato);
			if(dato=='0')
			{
				//alert('Atualizado Correctamente.');
				//window.location.reload();
                                document.getElementById(tipo+res).style.display='block';
	                       if(tipo=='1')
                               {
		                   tipo='0';
	                       }
 	                       else
	                       {
		                   tipo='1';
	                       }
	                       document.getElementById(tipo+res).style.display='none';
			}
			else
			{
				alert('Error de Conexion.');
			}
		},
		error:function(objeto)
		{
			console.log(objeto);
		}
	});
}
</script>